/* Global styles */
*{
    box-sizing: border-box;
}

body{
    background: white;
    /* background-image: url(../img/background.png); */
    font-family: "Onest", sans-serif;
    font-weight: 400;
    font-style: normal;
    margin: 0px;
}

html{
    scroll-behavior: smooth;
}

main{
    margin: 0px 10% 0px 10%;
}

a{
    text-decoration: none;
}

h1{
    text-align: center;
    color: #F9A2B0;
}

h2{
    font-weight: 500;
    color: #F9A2B0;
}

p{
    font-size: 18px;
}

strong{
    color: #EC8B9C;
    font-weight: 600;
}

/* Logo */
.logo{
    width: 60px;
    height: 60px;
}

/* Navbar */
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 30px 0px 30px;
}

.menu-item{
    font-size: 24px;
    margin: 0px 10px 0px 10px;
    color: black;
}

/* Home */
.home{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 50px;
    margin: 40px 0px 200px 0px;
}

.right{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-left: 30px;
}

.left{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 30px;
}

#hello{
    font-weight: 400;
    font-size: 18px;
    color: black;
}

#name{
    color: #F9A2B0;
    font-size: 72px;
    margin: 0px;
}

#role{
    font-weight: 400;
    font-size: 18px;
}

#nina-drawing{
    width: 450px;
    height: 450px;
    border-radius: 50%;
}

/* Section */
.section{
    margin: 0px 0px 200px 0px
}

/* Tagline */
.tagline{
    font-size: 28px;
    font-weight: 700;
    text-align: center;
    color: #000000;
}

.tagline-sub{
    font-size: 20px;
    font-weight: 500;
    color: #000000;
    text-align: center;
}

/* About Me */
#nina-photo{
    width: 400px;
    height: 400px;
    border-radius: 10%;
}

.photo-text{
    display: flex;
    align-items: center;
}

.text-box{
    padding: 0px 70px 0px 70px
}

/* Experience */
/* Storytelling */
.video-gallery{
    display: flex;
    justify-content: space-around;
    margin: 40px 0px 40px 0px;
}

.video{
    height: 600px;
    border-radius: 10px;
}

#tiktok-button{
    display: flex;
    justify-content: center;
    margin: 20px 0px 0px 0px;
}

/* Button */
button{
    font-family: "Onest", sans-serif;
    font-size: 16px;
    font-weight: 500;
    background-color: #F9A2B0;
    border-radius: 8px;
    border: none;
    padding: 10px 20px 10px 20px;
    cursor: pointer;
}

/* Skill */
.skill{
    margin: 0px 0px 70px 0px;
}

.figma-gallery{
    margin: 40px 0px 0px 0px;
    display: flex;
    justify-content: space-evenly;
}

/* Curiousity */
.program-gallery{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin: 50px 0px 0px 0px;
}

.program{
    position: relative;
}

.program-logo{
    display: block;
    width: 150px;
    border-radius: 28px;
}

.program-overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 150px;
    height: 150px;
    border-radius: 28px;
    background-color: rgba(0, 0, 0, 0.6);
    color: #FFFFFF;
    font-family: "Onset", sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.5s;

}

.program-overlay > * {
    transform: translateY(20px);
    transition: transform 0.5s;
}

.program-overlay:hover{
    opacity: 1;
}

.program-overlay:hover > * {
   transform: translateY(0);
}

.program-title{
    font-size: 1.25em;
    font-weight: bold;
    text-align: center;
}

/* Footer */
footer{
    background-color: #ffe6ea;
    padding: 50px 20px 10px 20px;
    border-radius: 20px;
}

.footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 20px 0px 20px;
}

.footer-items{
    display: flex;
    flex-direction: column;
}

.copyright{
    text-align: center;
    margin: 100px 0px 15px 0px
}

.logo-button{
    width: 50px;
    height: 50px;
    border-radius: 8px;
}

/* AI Skills */
.ai-skills{
    margin: 50px 0px 50px 0px;
}

/* Back to top button */
.scroll-to-top {
  position: fixed;
  right: 20px;
  bottom: 50px;
  width: 70px;
  opacity: 0;
  transition: opacity 0.3s ease;
  cursor: pointer;
}